com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue

## Class KVQuery

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.BaseQuery
  - - com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue.KVQuery

- All Implemented Interfaces:
    Query

      public class KVQuery
      extends BaseQuery

  A query against a `OrderedKeyValueStore`. Retrieves all the results that lie between start (inclusive) and end (exclusive) which satisfy the filter. Returns up to the specified limit number of key-value pairs `KeyValueEntry`.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.query.Query

      `NO_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KVQuery(StaticBuffer start, StaticBuffer end)`
    `KVQuery(StaticBuffer start, StaticBuffer end, int limit)`
    `KVQuery(StaticBuffer start, StaticBuffer end, com.google.common.base.Predicate<StaticBuffer> keyFilter, int limit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StaticBuffer` | `getEnd()`
    `KeySelector` | `getKeySelector()`
    `StaticBuffer` | `getStart()`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.query.BaseQuery

      `getLimit, hasLimit, setLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KVQuery

          public KVQuery(StaticBuffer start,
                 StaticBuffer end)

    - #### KVQuery

          public KVQuery(StaticBuffer start,
                 StaticBuffer end,
                 int limit)

    - #### KVQuery

          public KVQuery(StaticBuffer start,
                 StaticBuffer end,
                 com.google.common.base.Predicate<StaticBuffer> keyFilter,
                 int limit)

  - ### Method Detail

    - #### getStart

          public StaticBuffer getStart()

    - #### getEnd

          public StaticBuffer getEnd()

    - #### getKeySelector

          public KeySelector getKeySelector()

Copyright © 2012–2014. All rights reserved.